package com.lerx.v6.util;

import com.lerx.analyze.util.AnalyzeUtil;
import com.lerx.entities.AlbumExternalLink;

public class AlbumExternalLinkUtil {
	
	public static String fmt(String lf,AlbumExternalLink link){
		lf=AnalyzeUtil.replace(lf, "tag", "lid", ""+link.getId());
		lf=AnalyzeUtil.replace(lf, "tag", "name", link.getName());
		lf=AnalyzeUtil.replace(lf, "tag", "title", link.getName());
		lf=AnalyzeUtil.replace(lf, "tag", "alt", link.getName());
		lf=AnalyzeUtil.replace(lf, "tag", "img", link.getImg());
		lf=AnalyzeUtil.replace(lf, "tag", "target", link.getTarget());
		lf=AnalyzeUtil.replace(lf, "tag", "href", link.getHref());
		
		return lf;
	}

}
